<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.tcZz.mapper.TcYqyjMapper">
    
    <resultMap type="TcYqyj" id="TcYqyjResult">
        <result property="id"    column="id"    />
        <result property="areaId"    column="area_id"    />
        <result property="isStatus"    column="isStatus"    />
        <result property="title"    column="title"    />
        <result property="source"    column="source"    />
        <result property="dateTime"    column="date_time"    />
        <result property="content"    column="content"    />
        <result property="createBy"    column="create_by"    />
        <result property="createTime"    column="create_time"    />
        <result property="updateBy"    column="update_by"    />
        <result property="updateTime"    column="update_time"    />
        <result property="remark"    column="remark"    />
    </resultMap>

    <sql id="selectTcYqyjVo">
        select id, area_id, isStatus, title, source, date_time, content, create_by, create_time, update_by, update_time, remark from tc_yqyj
    </sql>

    <select id="selectTcYqyjList" parameterType="TcYqyj" resultMap="TcYqyjResult">
        <include refid="selectTcYqyjVo"/>
        <where>  
            <if test="id != null "> and id = #{id}</if>
            <if test="areaId != null  and areaId != ''"> and area_id = #{areaId}</if>
            <if test="isStatus != null "> and isStatus = #{isStatus}</if>
            <if test="title != null  and title != ''"> and title = #{title}</if>
            <if test="source != null  and source != ''"> and source = #{source}</if>
            <if test="params.beginDateTime != null and params.beginDateTime != '' and params.endDateTime != null and params.endDateTime != ''"> and date_time between #{params.beginDateTime} and #{params.endDateTime}</if>
            <if test="content != null  and content != ''"> and content = #{content}</if>
            <if test="createBy != null  and createBy != ''"> and create_by = #{createBy}</if>
            <if test="params.beginCreateTime != null and params.beginCreateTime != '' and params.endCreateTime != null and params.endCreateTime != ''"> and create_time between #{params.beginCreateTime} and #{params.endCreateTime}</if>
            <if test="updateBy != null  and updateBy != ''"> and update_by = #{updateBy}</if>
            <if test="params.beginUpdateTime != null and params.beginUpdateTime != '' and params.endUpdateTime != null and params.endUpdateTime != ''"> and update_time between #{params.beginUpdateTime} and #{params.endUpdateTime}</if>
            <if test="remark != null  and remark != ''"> and remark = #{remark}</if>
        </where>
        order by create_time desc
    </select>
    
    <select id="selectTcYqyjById" parameterType="Long" resultMap="TcYqyjResult">
        <include refid="selectTcYqyjVo"/>
        where id = #{id}
    </select>
        
    <insert id="insertTcYqyj" parameterType="TcYqyj" useGeneratedKeys="true" keyProperty="id">
        insert into tc_yqyj
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="areaId != null">area_id,</if>
            <if test="isStatus != null">isStatus,</if>
            <if test="title != null">title,</if>
            <if test="source != null">source,</if>
            <if test="dateTime != null">date_time,</if>
            <if test="content != null">content,</if>
            <if test="createBy != null">create_by,</if>
            <if test="createTime != null">create_time,</if>
            <if test="updateBy != null">update_by,</if>
            <if test="updateTime != null">update_time,</if>
            <if test="remark != null">remark,</if>
         </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="areaId != null">#{areaId},</if>
            <if test="isStatus != null">#{isStatus},</if>
            <if test="title != null">#{title},</if>
            <if test="source != null">#{source},</if>
            <if test="dateTime != null">#{dateTime},</if>
            <if test="content != null">#{content},</if>
            <if test="createBy != null">#{createBy},</if>
            <if test="createTime != null">#{createTime},</if>
            <if test="updateBy != null">#{updateBy},</if>
            <if test="updateTime != null">#{updateTime},</if>
            <if test="remark != null">#{remark},</if>
         </trim>
    </insert>

    <update id="updateTcYqyj" parameterType="TcYqyj">
        update tc_yqyj
        <trim prefix="SET" suffixOverrides=",">
            <if test="areaId != null">area_id = #{areaId},</if>
            <if test="isStatus != null">isStatus = #{isStatus},</if>
            <if test="title != null">title = #{title},</if>
            <if test="source != null">source = #{source},</if>
            <if test="dateTime != null">date_time = #{dateTime},</if>
            <if test="content != null">content = #{content},</if>
            <if test="createBy != null">create_by = #{createBy},</if>
            <if test="createTime != null">create_time = #{createTime},</if>
            <if test="updateBy != null">update_by = #{updateBy},</if>
            <if test="updateTime != null">update_time = #{updateTime},</if>
            <if test="remark != null">remark = #{remark},</if>
        </trim>
        where id = #{id}
    </update>
    <update id="updateByisStatus">
        UPDATE tc_yqyj
        SET isStatus = #{isStatus}
        WHERE id IN
        <foreach collection="ids" item="item" index="index" separator="," open="(" close=")">
            #{item}
        </foreach>
    </update>

    <delete id="deleteTcYqyjById" parameterType="Long">
        delete from tc_yqyj where id = #{id}
    </delete>

    <delete id="deleteTcYqyjByIds" parameterType="String">
        delete from tc_yqyj where id in 
        <foreach item="id" collection="array" open="(" separator="," close=")">
            #{id}
        </foreach>
    </delete>
</mapper>